package messaging

import (
	me "github.com/tech/sendico/pkg/messaging/envelope"
	"github.com/tech/sendico/pkg/model"
)

type Broker interface {
	Publish(envelope me.Envelope) error
	Subscribe(event model.NotificationEvent) (<-chan me.Envelope, error)
	Unsubscribe(event model.NotificationEvent, subChan <-chan me.Envelope) error
}
